from utils import load_image, show_image
import torch
import doctest

def convolution(image: torch.tensor, kernel: torch.tensor, 
                stride: int) -> torch.tensor:
    """ Returns the application of a kernel to an image using a stride

    Parameters:
        image (torch.tensor): A (single channel) 2-D image
        kernel (torch.tensor): A 2-D kernel 
        stride (int): Stride to use

    """
    raise NotImplementedError


if __name__ == '__main__': 
    pass
